Get conversation IDs by author, network ID, and day

Get IDs for conversations associated with the specified author by source network ID for a 24-hour period

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Details

Returns IDs for conversations associated with the specified author by source network ID for a 24-hour period. Use this call when the source network has only a single, default instance. Supported network types are "facebook", "instgram". For CRM systems or Khoros communities that could have multiple instances, use: /api/v2/networks/networktype/instances/networkinstance/ids/networkid/conversations

The call returns new conversations and conversations with specific modifications.

This call returns all conversations associated with the author record passed. This means that if you pass a handle or ID for a Instagram account, for example, you could also retrieve conversations associated with the author that originated on Facebook, or other source networks.

Specify the time period with startEpochMillis and endEpochMillis. The maximum range allowed is 24 hours. If the duration specified is more than 24 hours, only 24 hours worth of changed data is returned. If you omit either startEpochMillis or endEpochMillis, the API sets the range so that the call retrieves 24 hours worth of data.

👍

Tip

For best results, use this call for data created after June 30, 2014.

Related endpoints

ActionEndpoint
GET/authors/lswUuid/conversations
Get IDs for conversations associated with the specified author by unique Care author ID for a 24-hour period
GET/authors/networks/{networktype}/instances/{networkinstance}/ids/{networkid}/conversations
Get the IDs for conversations associated with the specified author by source network ID for a 24-hour period
GET/authors/networks/{networktype}/handles/{networkhandle}/conversations
Get the IDs for conversations associated with the specified author by the networkhandle passed in for the specified source network
GET/authors/networks/{networktype}/instances/{networkinstance}/handles/{networkhandle}/conversations
Get the IDs for conversations associated with the specified author by the networkhandle passed in for the specified instance of a network
Path Params
string
required

The type of network that manages content created by or about an author. Supported values are: "instagram", "facebook", "googleplus", "lithium", "crm"

For a networktype of value "lithium" or "crm" you must also pass the networkinstance, because these types of networks can have multiple instances as opposed to Instagram, Facebook, or Google+ that have only a single, default network.

The Author API supports "instagram", "facebook", "googleplus", "lithium", and "crm" only as values for networktype.

string
required

The internal ID of the author generated by the network. For Facebook, this is the PSID. Compare this to the the externally used networkhandle. The network ID must be unique to a given networkinstance.

Query Params
int32

The start time of the query period specified as milliseconds since the UNIX Epoch

int32

The end of of the query period specified as milliseconds since the UNIX Epoch

Responses

Language
URL
LoadingLoading…
Response
Choose an example:
application/json